<div class="card">
	<div class="card-header heading">Part 2: Executive Summary
		(Continued)</div>
	<div class="card-margin">
		<div class="class-block">
			<div class="card">
				<div class="card-header heading">Part 2d: Payment Applications</div>
				<div class="card-margin">
					<div class="class-block">
						<div class="card-padding pt-1">
							<form [formGroup]="part2dForm">
								<div class="form-group">
									<b class="head">Does the organization use one or more
										Payment Applications?</b>
									<div class="row m-1">
										<label class="md-check radio-label"> <input
											type="radio" class="mr-1" [value]="true"
											name="isPaymentApplicationMoreThanOne"
											formControlName="isPaymentApplicationMoreThanOne"
											[checked]="part2dForm.controls.isPaymentApplicationMoreThanOne.value === true">
											Yes
										</label> <label class="md-check radio-label ml-3"> <input
											type="radio" class="mr-1" [value]="false"
											name="isPaymentApplicationMoreThanOne"
											formControlName="isPaymentApplicationMoreThanOne"
											[checked]="part2dForm.controls.isPaymentApplicationMoreThanOne.value === false">
											No
										</label>
									</div>
								</div>
								<p>
									<b class="head">Provide the following information regarding
										the Payment Applications your organization uses:</b>
								</p>
								<div class="row heading-div head heading-visible">
									<span class="col-3 p-3 heading">Payment Application Name</span>
									<span class="col-1 p-1 heading">Version Number</span> <span
										class="col-2 p-2 heading">Application Vendor</span> <span
										class="col-2 p-2 heading">Is application PA-DSS Listed?</span>
									<span class="col-2 p-2 ml-2 heading">PA-DSS Listing
										Expiry date (if applicable)</span>
								</div>
								<div formArrayName="paymentApplicationLists">
									<div class="row mt-2 visible-border"
										*ngFor="let payApp of paymentApplicationLists.controls; let i=index"
										[formGroupName]="i">
										<div class="column seven visible-cross">
											<i class="fa fa-times-circle text-danger"
												(click)="deletePaymentApplication(i)"></i>
										</div>
										<div class="column one head">
											<label class="heading visible">Payment Application
												Name:</label>
											<div class="">
												<input type="text" class="form-control"
													name="paymentApplicationName"
													formControlName="paymentApplicationName">
												<jhi-display-2-error
													[control]="payApp.controls.paymentApplicationName">
												</jhi-display-2-error>
											</div>
										</div>
										<div class="column two head">
											<!-- <div class="row"> -->
											<label class="heading visible">Version Number:</label>
											<div class="">
												<input type="text" class="form-control" name="versionNumber"
													formControlName="versionNumber">
												<jhi-display-2-error
													[control]="payApp.controls.versionNumber">
												</jhi-display-2-error>
											</div>
										</div>
										<div class="column three head">
											<label class="heading visible">Application
												Vendor:</label>
											<div class="">
												<input type="text" class="form-control"
													name="applicationVendor"
													formControlName="applicationVendor">
												<jhi-display-2-error
													[control]="payApp.controls.applicationVendor">
												</jhi-display-2-error>
											</div>
										</div>
										<div class="column four head">
											<label class="heading visible">Is
												application PA-DSS Listed?:</label>
											<div class="">
												<div class="row pl-2">
													<label class="md-check radio-label" for="{{'true' + i }}">
														<input type="radio" class="mr-1" id="{{'true' + i }}"
														[value]="true" formControlName="isApplicationPadssListed"
														[checked]="payApp.controls.isApplicationPadssListed.value === true">
														Yes
													</label> <label class="md-check radio-label ml-3"
														for="{{'false' + i}}"> <input type="radio"
														id="{{'false' + i}}" class="mr-1" [value]="false"
														formControlName="isApplicationPadssListed"
														[checked]="payApp.controls.isApplicationPadssListed.value === false">
														No
													</label>
												</div>
											</div>
										</div>
										<div class="column five head">
											<label class="heading visible">PA-DSS
												Listing Expiry date (if applicable):</label>
											<div class="input-group">
												<input class="form-control datepick" [minDate]="minDate"
													name="dp" formControlName="expiryDate" ngbDatepicker
													#datePicker="ngbDatepicker">
												<div class="input-group-append">
													<button class="btn custom-btn"
														(click)="datePicker.toggle()" type="button">
														<img class="calender"
															src="../../../../content/images/calender-icon.svg" />
													</button>
												</div>

											</div>
										</div>
										<div class="column six head visible-cross-two">
											<i class="fa fa-times-circle text-danger"
												(click)="deletePaymentApplication(i)"></i>
										</div>
									</div>
								</div>
								<hr>
								<div class="row add-row ml-3">
									<a (click)="addPaymentApplication()"><b><i
											class="fa fa-plus mr-2"></i>Add a new row</b></a>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>
			<div class="row-md action-div">
				<jhi-button [class.disabled]="!part2dForm.valid"
					(click)="saveAndExit()" exit>Save & Exit</jhi-button>
				<jhi-button [class.disabled]="!part2dForm.valid"
					(click)="saveAndContinue()" continue>Save & Continue</jhi-button>
			</div>
			<div class="arrows mt-auto mb-4">
				<i (click)="back()" class="fa fa-4x fa-angle-left ml-4"></i> <i
					(click)="forward()" *ngIf="curStates === 'ENV_DESCRIPTION' || curStates === 'SERVICE_PROVIDERS' || curStates === 'TESTED_REQUIREMENTS' || curStates === 'SUMMARY'"
					class="fa fa-4x fa-angle-right float-right mr-4"></i>
			</div>
		</div>
	</div>
</div>
